com.amazonaws.services.codedeploy.model

## Class ApplicationAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.codedeploy.model.AmazonCodeDeployException
                - - com.amazonaws.services.codedeploy.model.ApplicationAlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class ApplicationAlreadyExistsException
    extends AmazonCodeDeployException

An application with the specified name already exists with the applicable IAM user or AWS account.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`ApplicationAlreadyExistsException(String message)` Constructs a new ApplicationAlreadyExistsException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationAlreadyExistsException

    public ApplicationAlreadyExistsException(String message)

Constructs a new ApplicationAlreadyExistsException with the specified error message.

Parameters:
  `message` - Describes the error encountered.